## ros-indigo-swiftnav 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(libswiftnav)

# Setup flags for Code Coverage build mode
set(CMAKE_CXX_FLAGS_COVERAGE "${CMAKE_CXX_FLAGS_DEBUG} --coverage" CACHE STRING
    "Flags used by the C++ compiler for building with code coverage."
    FORCE )
set(CMAKE_C_FLAGS_COVERAGE "${CMAKE_C_FLAGS_DEBUG} --coverage" CACHE STRING
    "Flags used by the C compiler for building with code coverage."
    FORCE )
SET(CMAKE_EXE_LINKER_FLAGS_COVERAGE
    "${CMAKE_EXE_LINKER_FLAGS_DEBUG} --coverage" CACHE STRING
    "Flags used for linking binaries with code coverage."
    FORCE )
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE
    "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} --coverage" CACHE STRING
    "Flags used by the shared libraries linker during builds with code coverage."
    FORCE )
mark_as_advanced(
    CMAKE_CXX_FLAGS_COVERAGE
    CMAKE_C_FLAGS_COVERAGE
    CMAKE_EXE_LINKER_FLAGS_COVERAGE
    CMAKE_SHARED_LINKER_FLAGS_COVERAGE )
# Update the documentation string of CMAKE_BUILD_TYPE for GUIs
set(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
  "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel Coverage."
   FORCE )

# Set project version using Git tag and hash.
execute_process(
  COMMAND git describe --dirty --tags --always
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  RESULT_VARIABLE GIT_VERSION_FOUND
  ERROR_QUIET
  OUTPUT_VARIABLE GIT_VERSION
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
if (GIT_VERSION_FOUND)
  set(VERSION "unknown")
else (GIT_VERSION_FOUND)
  set(VERSION ${GIT_VERSION})
endif (GIT_VERSION_FOUND)

# Set project version explicitly for release tarballs.
#set(VERSION foo)

message(STATUS "libswiftnav version: ${VERSION}")

cmake_minimum_required(VERSION 2.8)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# Some compiler options used globally
set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-strict-prototypes -Wno-unknown-warning-option -std=gnu99 ${CMAKE_C_FLAGS}")

add_subdirectory(clapack-3.2.1-CMAKE)
add_subdirectory(CBLAS)
add_subdirectory(lapacke)
add_subdirectory(src)

install(FILES package.xml DESTINATION share/swiftnav)

=== CBLAS/CMakeLists.txt ===
# Disable code coverage for this subdirectory
set(CMAKE_C_FLAGS_COVERAGE "${CMAKE_C_FLAGS_DEBUG}")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "${CMAKE_SHARED_LINKER_FLAGS_DEBUG}")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "${CMAKE_EXE_LINKER_FLAGS_DEBUG}")

# Build libraries with PIC flag as they will be linked into shared objects
if (NOT CMAKE_CROSSCOMPILING)
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif ()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
set(CBLAS_FAIL_FLAGS "-Wno-char-subscripts")
add_subdirectory(src)

=== clapack-3.2.1-CMAKE/CMakeLists.txt ===
# Disable code coverage for this subdirectory
set(CMAKE_C_FLAGS_COVERAGE "${CMAKE_C_FLAGS_DEBUG}")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "${CMAKE_SHARED_LINKER_FLAGS_DEBUG}")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "${CMAKE_EXE_LINKER_FLAGS_DEBUG}")

# Build libraries with PIC flag as they will be linked into shared objects
if (NOT CMAKE_CROSSCOMPILING)
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif ()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/INCLUDE)
# Oh dear, f2c what are you doing?
set(F2C_FAIL_FLAGS "-Wno-parentheses -Wno-unused-parameter -Wno-sign-compare -Wno-implicit-function-declaration -Wno-strict-prototypes -Wno-unused-but-set-variable -Wno-unused-variable -Wno-format -Wno-format-security -Wno-uninitialized -Wno-self-assign")
add_subdirectory(F2CLIBS)
add_subdirectory(BLAS)
add_subdirectory(SRC)
#if (NOT CMAKE_CROSSCOMPILING)
  #add_subdirectory(TESTING)
#endif ()

=== docs/CMakeLists.txt ===
#option(BUILD_DOCUMENTATION "Use Doxygen to create API documentation" ON)
set(BUILD_DOCUMENTATION ON)

find_package(Doxygen)
if (NOT DOXYGEN_FOUND)
  set(BUILD_DOCUMENTATION OFF)
  message(WARNING
    "Doxygen not found, the documentation will not be built."
  )
endif (NOT DOXYGEN_FOUND)

if (BUILD_DOCUMENTATION)

  add_subdirectory(diagrams)

  configure_file(Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    @ONLY
  )

  add_custom_target(docs
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    COMMENT "Building Doxygen documentation"
    DEPENDS diagrams Doxyfile.in
  )

  set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES
		${CMAKE_CURRENT_BINARY_DIR}/html
  )

endif (BUILD_DOCUMENTATION)

=== lapacke/CMakeLists.txt ===
# Disable code coverage for this subdirectory
set(CMAKE_C_FLAGS_COVERAGE "${CMAKE_C_FLAGS_DEBUG}")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "${CMAKE_SHARED_LINKER_FLAGS_DEBUG}")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "${CMAKE_EXE_LINKER_FLAGS_DEBUG}")

# Build libraries with PIC flag as they will be linked into shared objects
if (NOT CMAKE_CROSSCOMPILING)
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif ()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

set(OBJ_UTILS utils/lapacke_cgb_nancheck.c utils/lapacke_cgb_trans.c
  utils/lapacke_cge_nancheck.c utils/lapacke_cge_trans.c
  utils/lapacke_cgg_nancheck.c utils/lapacke_cgg_trans.c
  utils/lapacke_cgt_nancheck.c utils/lapacke_chb_nancheck.c
  utils/lapacke_chb_trans.c utils/lapacke_che_nancheck.c
  utils/lapacke_che_trans.c utils/lapacke_chp_nancheck.c
  utils/lapacke_chp_trans.c utils/lapacke_chs_nancheck.c
  utils/lapacke_chs_trans.c utils/lapacke_c_nancheck.c
  utils/lapacke_cpb_nancheck.c utils/lapacke_cpb_trans.c
  utils/lapacke_cpf_nancheck.c utils/lapacke_cpf_trans.c
  utils/lapacke_cpo_nancheck.c utils/lapacke_cpo_trans.c
  utils/lapacke_cpp_nancheck.c utils/lapacke_cpp_trans.c
  utils/lapacke_cpt_nancheck.c utils/lapacke_csp_nancheck.c
  utils/lapacke_csp_trans.c utils/lapacke_cst_nancheck.c
  utils/lapacke_csy_nancheck.c utils/lapacke_csy_trans.c
  utils/lapacke_ctb_nancheck.c utils/lapacke_ctb_trans.c
  utils/lapacke_ctf_nancheck.c utils/lapacke_ctf_trans.c
  utils/lapacke_ctp_nancheck.c utils/lapacke_ctp_trans.c
  utils/lapacke_ctr_nancheck.c utils/lapacke_ctr_trans.c
  utils/lapacke_dgb_nancheck.c utils/lapacke_dgb_trans.c
  utils/lapacke_dge_nancheck.c utils/lapacke_dge_trans.c
  utils/lapacke_dgg_nancheck.c utils/lapacke_dgg_trans.c
  utils/lapacke_dgt_nancheck.c utils/lapacke_dhs_nancheck.c
  utils/lapacke_dhs_trans.c utils/lapacke_d_nancheck.c
  utils/lapacke_dpb_nancheck.c utils/lapacke_dpb_trans.c
  utils/lapacke_dpf_nancheck.c utils/lapacke_dpf_trans.c
  utils/lapacke_dpo_nancheck.c utils/lapacke_dpo_trans.c
  utils/lapacke_dpp_nancheck.c utils/lapacke_dpp_trans.c
  utils/lapacke_dpt_nancheck.c utils/lapacke_dsb_nancheck.c
  utils/lapacke_dsb_trans.c utils/lapacke_dsp_nancheck.c
  utils/lapacke_dsp_trans.c utils/lapacke_dst_nancheck.c
  utils/lapacke_dsy_nancheck.c utils/lapacke_dsy_trans.c
  utils/lapacke_dtb_nancheck.c utils/lapacke_dtb_trans.c
  utils/lapacke_dtf_nancheck.c utils/lapacke_dtf_trans.c
  utils/lapacke_dtp_nancheck.c utils/lapacke_dtp_trans.c
  utils/lapacke_dtr_nancheck.c utils/lapacke_dtr_trans.c utils/lapacke_lsame.c
  utils/lapacke_sgb_nancheck.c utils/lapacke_sgb_trans.c
  utils/lapacke_sge_nancheck.c utils/lapacke_sge_trans.c
  utils/lapacke_sgg_nancheck.c utils/lapacke_sgg_trans.c
  utils/lapacke_sgt_nancheck.c utils/lapacke_shs_nancheck.c
  utils/lapacke_shs_trans.c utils/lapacke_s_nancheck.c
  utils/lapacke_spb_nancheck.c utils/lapacke_spb_trans.c
  utils/lapacke_spf_nancheck.c utils/lapacke_spf_trans.c
  utils/lapacke_spo_nancheck.c utils/lapacke_spo_trans.c
  utils/lapacke_spp_nancheck.c utils/lapacke_spp_trans.c
  utils/lapacke_spt_nancheck.c utils/lapacke_ssb_nancheck.c
  utils/lapacke_ssb_trans.c utils/lapacke_ssp_nancheck.c
  utils/lapacke_ssp_trans.c utils/lapacke_sst_nancheck.c
  utils/lapacke_ssy_nancheck.c utils/lapacke_ssy_trans.c
  utils/lapacke_stb_nancheck.c utils/lapacke_stb_trans.c
  utils/lapacke_stf_nancheck.c utils/lapacke_stf_trans.c
  utils/lapacke_stp_nancheck.c utils/lapacke_stp_trans.c
  utils/lapacke_str_nancheck.c utils/lapacke_str_trans.c utils/lapacke_xerbla.c
  utils/lapacke_zgb_nancheck.c utils/lapacke_zgb_trans.c
  utils/lapacke_zge_nancheck.c utils/lapacke_zge_trans.c
  utils/lapacke_zgg_nancheck.c utils/lapacke_zgg_trans.c
  utils/lapacke_zgt_nancheck.c utils/lapacke_zhb_nancheck.c
  utils/lapacke_zhb_trans.c utils/lapacke_zhe_nancheck.c
  utils/lapacke_zhe_trans.c utils/lapacke_zhp_nancheck.c
  utils/lapacke_zhp_trans.c utils/lapacke_zhs_nancheck.c
  utils/lapacke_zhs_trans.c utils/lapacke_z_nancheck.c
  utils/lapacke_zpb_nancheck.c utils/lapacke_zpb_trans.c
  utils/lapacke_zpf_nancheck.c utils/lapacke_zpf_trans.c
  utils/lapacke_zpo_nancheck.c utils/lapacke_zpo_trans.c
  utils/lapacke_zpp_nancheck.c utils/lapacke_zpp_trans.c
  utils/lapacke_zpt_nancheck.c utils/lapacke_zsp_nancheck.c
  utils/lapacke_zsp_trans.c utils/lapacke_zst_nancheck.c
  utils/lapacke_zsy_nancheck.c utils/lapacke_zsy_trans.c
  utils/lapacke_ztb_nancheck.c utils/lapacke_ztb_trans.c
  utils/lapacke_ztf_nancheck.c utils/lapacke_ztf_trans.c
  utils/lapacke_ztp_nancheck.c utils/lapacke_ztp_trans.c
  utils/lapacke_ztr_nancheck.c utils/lapacke_ztr_trans.c
  utils/lapacke_make_complex_float.c utils/lapacke_make_complex_double.c)

set(OBJ src/lapacke_cbdsqr.c src/lapacke_cbdsqr_work.c src/lapacke_cgbbrd.c
  src/lapacke_cgbbrd_work.c src/lapacke_cgbcon.c src/lapacke_cgbcon_work.c
  src/lapacke_cgbequb.c src/lapacke_cgbequb_work.c src/lapacke_cgbequ.c
  src/lapacke_cgbequ_work.c src/lapacke_cgbrfs.c src/lapacke_cgbrfs_work.c
  src/lapacke_cgbrfsx.c src/lapacke_cgbrfsx_work.c src/lapacke_cgbsv.c
  src/lapacke_cgbsv_work.c src/lapacke_cgbsvx.c src/lapacke_cgbsvx_work.c
  src/lapacke_cgbsvxx.c src/lapacke_cgbsvxx_work.c src/lapacke_cgbtrf.c
  src/lapacke_cgbtrf_work.c src/lapacke_cgbtrs.c src/lapacke_cgbtrs_work.c
  src/lapacke_cgebak.c src/lapacke_cgebak_work.c src/lapacke_cgebal.c
  src/lapacke_cgebal_work.c src/lapacke_cgebrd.c src/lapacke_cgebrd_work.c
  src/lapacke_cgecon.c src/lapacke_cgecon_work.c src/lapacke_cgeequb.c
  src/lapacke_cgeequb_work.c src/lapacke_cgeequ.c src/lapacke_cgeequ_work.c
  src/lapacke_cgees.c src/lapacke_cgees_work.c src/lapacke_cgeesx.c
  src/lapacke_cgeesx_work.c src/lapacke_cgeev.c src/lapacke_cgeev_work.c
  src/lapacke_cgeevx.c src/lapacke_cgeevx_work.c src/lapacke_cgehrd.c
  src/lapacke_cgehrd_work.c src/lapacke_cgelqf.c src/lapacke_cgelqf_work.c
  src/lapacke_cgels.c src/lapacke_cgelsd.c src/lapacke_cgelsd_work.c
  src/lapacke_cgelss.c src/lapacke_cgelss_work.c src/lapacke_cgels_work.c
  src/lapacke_cgelsy.c src/lapacke_cgelsy_work.c src/lapacke_cgeqlf.c
  src/lapacke_cgeqlf_work.c src/lapacke_cgeqp3.c src/lapacke_cgeqp3_work.c
  src/lapacke_cgeqpf.c src/lapacke_cgeqpf_work.c src/lapacke_cgeqrf.c
  src/lapacke_cgeqrf_work.c src/lapacke_cgerfs.c src/lapacke_cgerfs_work.c
  src/lapacke_cgerfsx.c src/lapacke_cgerfsx_work.c src/lapacke_cgerqf.c
  src/lapacke_cgerqf_work.c src/lapacke_cgesdd.c src/lapacke_cgesdd_work.c
  src/lapacke_cgesv.c src/lapacke_cgesvd.c src/lapacke_cgesvd_work.c
  src/lapacke_cgesv_work.c src/lapacke_cgesvx.c src/lapacke_cgesvx_work.c
  src/lapacke_cgesvxx.c src/lapacke_cgesvxx_work.c src/lapacke_cgetrf.c
  src/lapacke_cgetrf_work.c src/lapacke_cgetri.c src/lapacke_cgetri_work.c
  src/lapacke_cgetrs.c src/lapacke_cgetrs_work.c src/lapacke_cggbak.c
  src/lapacke_cggbak_work.c src/lapacke_cggbal.c src/lapacke_cggbal_work.c
  src/lapacke_cgges.c src/lapacke_cgges_work.c src/lapacke_cggesx.c
  src/lapacke_cggesx_work.c src/lapacke_cggev.c src/lapacke_cggev_work.c
  src/lapacke_cggevx.c src/lapacke_cggevx_work.c src/lapacke_cggglm.c
  src/lapacke_cggglm_work.c src/lapacke_cgghrd.c src/lapacke_cgghrd_work.c
  src/lapacke_cgglse.c src/lapacke_cgglse_work.c src/lapacke_cggqrf.c
  src/lapacke_cggqrf_work.c src/lapacke_cggrqf.c src/lapacke_cggrqf_work.c
  src/lapacke_cggsvd.c src/lapacke_cggsvd_work.c src/lapacke_cggsvp.c
  src/lapacke_cggsvp_work.c src/lapacke_cgtcon.c src/lapacke_cgtcon_work.c
  src/lapacke_cgtrfs.c src/lapacke_cgtrfs_work.c src/lapacke_cgtsv.c
  src/lapacke_cgtsv_work.c src/lapacke_cgtsvx.c src/lapacke_cgtsvx_work.c
  src/lapacke_cgttrf.c src/lapacke_cgttrf_work.c src/lapacke_cgttrs.c
  src/lapacke_cgttrs_work.c src/lapacke_chbev.c src/lapacke_chbevd.c
  src/lapacke_chbevd_work.c src/lapacke_chbev_work.c src/lapacke_chbevx.c
  src/lapacke_chbevx_work.c src/lapacke_chbgst.c src/lapacke_chbgst_work.c
  src/lapacke_chbgv.c src/lapacke_chbgvd.c src/lapacke_chbgvd_work.c
  src/lapacke_chbgv_work.c src/lapacke_chbgvx.c src/lapacke_chbgvx_work.c
  src/lapacke_chbtrd.c src/lapacke_chbtrd_work.c src/lapacke_checon.c
  src/lapacke_checon_work.c src/lapacke_cheequb.c src/lapacke_cheequb_work.c
  src/lapacke_cheev.c src/lapacke_cheevd.c src/lapacke_cheevd_work.c
  src/lapacke_cheevr.c src/lapacke_cheevr_work.c src/lapacke_cheev_work.c
  src/lapacke_cheevx.c src/lapacke_cheevx_work.c src/lapacke_chegst.c
  src/lapacke_chegst_work.c src/lapacke_chegv.c src/lapacke_chegvd.c
  src/lapacke_chegvd_work.c src/lapacke_chegv_work.c src/lapacke_chegvx.c
  src/lapacke_chegvx_work.c src/lapacke_cherfs.c src/lapacke_cherfs_work.c
  src/lapacke_cherfsx.c src/lapacke_cherfsx_work.c src/lapacke_chesv.c
  src/lapacke_chesv_work.c src/lapacke_chesvx.c src/lapacke_chesvx_work.c
  src/lapacke_chesvxx.c src/lapacke_chesvxx_work.c src/lapacke_chetrd.c
  src/lapacke_chetrd_work.c src/lapacke_chetrf.c src/lapacke_chetrf_work.c
  src/lapacke_chetri.c src/lapacke_chetri_work.c src/lapacke_chetrs.c
  src/lapacke_chetrs_work.c src/lapacke_chfrk.c src/lapacke_chfrk_work.c
  src/lapacke_chgeqz.c src/lapacke_chgeqz_work.c src/lapacke_chpcon.c
  src/lapacke_chpcon_work.c src/lapacke_chpev.c src/lapacke_chpevd.c
  src/lapacke_chpevd_work.c src/lapacke_chpev_work.c src/lapacke_chpevx.c
  src/lapacke_chpevx_work.c src/lapacke_chpgst.c src/lapacke_chpgst_work.c
  src/lapacke_chpgv.c src/lapacke_chpgvd.c src/lapacke_chpgvd_work.c
  src/lapacke_chpgv_work.c src/lapacke_chpgvx.c src/lapacke_chpgvx_work.c
  src/lapacke_chprfs.c src/lapacke_chprfs_work.c src/lapacke_chpsv.c
  src/lapacke_chpsv_work.c src/lapacke_chpsvx.c src/lapacke_chpsvx_work.c
  src/lapacke_chptrd.c src/lapacke_chptrd_work.c src/lapacke_chptrf.c
  src/lapacke_chptrf_work.c src/lapacke_chptri.c src/lapacke_chptri_work.c
  src/lapacke_chptrs.c src/lapacke_chptrs_work.c src/lapacke_chsein.c
  src/lapacke_chsein_work.c src/lapacke_chseqr.c src/lapacke_chseqr_work.c
  src/lapacke_cpbcon.c src/lapacke_cpbcon_work.c src/lapacke_cpbequ.c
  src/lapacke_cpbequ_work.c src/lapacke_cpbrfs.c src/lapacke_cpbrfs_work.c
  src/lapacke_cpbstf.c src/lapacke_cpbstf_work.c src/lapacke_cpbsv.c
  src/lapacke_cpbsv_work.c src/lapacke_cpbsvx.c src/lapacke_cpbsvx_work.c
  src/lapacke_cpbtrf.c src/lapacke_cpbtrf_work.c src/lapacke_cpbtrs.c
  src/lapacke_cpbtrs_work.c src/lapacke_cpftrf.c src/lapacke_cpftrf_work.c
  src/lapacke_cpftri.c src/lapacke_cpftri_work.c src/lapacke_cpftrs.c
  src/lapacke_cpftrs_work.c src/lapacke_cpocon.c src/lapacke_cpocon_work.c
  src/lapacke_cpoequb.c src/lapacke_cpoequb_work.c src/lapacke_cpoequ.c
  src/lapacke_cpoequ_work.c src/lapacke_cporfs.c src/lapacke_cporfs_work.c
  src/lapacke_cporfsx.c src/lapacke_cporfsx_work.c src/lapacke_cposv.c
  src/lapacke_cposv_work.c src/lapacke_cposvx.c src/lapacke_cposvx_work.c
  src/lapacke_cposvxx.c src/lapacke_cposvxx_work.c src/lapacke_cpotrf.c
  src/lapacke_cpotrf_work.c src/lapacke_cpotri.c src/lapacke_cpotri_work.c
  src/lapacke_cpotrs.c src/lapacke_cpotrs_work.c src/lapacke_cppcon.c
  src/lapacke_cppcon_work.c src/lapacke_cppequ.c src/lapacke_cppequ_work.c
  src/lapacke_cpprfs.c src/lapacke_cpprfs_work.c src/lapacke_cppsv.c
  src/lapacke_cppsv_work.c src/lapacke_cppsvx.c src/lapacke_cppsvx_work.c
  src/lapacke_cpptrf.c src/lapacke_cpptrf_work.c src/lapacke_cpptri.c
  src/lapacke_cpptri_work.c src/lapacke_cpptrs.c src/lapacke_cpptrs_work.c
  src/lapacke_cpstrf.c src/lapacke_cpstrf_work.c src/lapacke_cptcon.c
  src/lapacke_cptcon_work.c src/lapacke_cpteqr.c src/lapacke_cpteqr_work.c
  src/lapacke_cptrfs.c src/lapacke_cptrfs_work.c src/lapacke_cptsv.c
  src/lapacke_cptsv_work.c src/lapacke_cptsvx.c src/lapacke_cptsvx_work.c
  src/lapacke_cpttrf.c src/lapacke_cpttrf_work.c src/lapacke_cpttrs.c
  src/lapacke_cpttrs_work.c src/lapacke_cspcon.c src/lapacke_cspcon_work.c
  src/lapacke_csprfs.c src/lapacke_csprfs_work.c src/lapacke_cspsv.c
  src/lapacke_cspsv_work.c src/lapacke_cspsvx.c src/lapacke_cspsvx_work.c

=== lapacke/Makefile ===
##############################################################################
# Copyright (c) 2010, Intel Corp.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#   * Redistributions of source code must retain the above copyright notice,
#     this list of conditions and the following disclaimer.
#   * Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#   * Neither the name of Intel Corporation nor the names of its contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
##############################################################################
# Contents: Native C interface to LAPACK
# Author: Intel Corporation
# September, 2010
##############################################################################
# Top-level makefile for LAPACKE.
#
# To generate lapacke library type 'make lapacke'
# To pass lapacke tests type 'make lapacke_testing'
# To make both just type 'make'
#
# To remove lapacke object files type 'make cleanlib'
# To clean up testing object files and executables 'make cleantesting'
# To clean all above type 'make clean'
# To clean everything including lapacke library and test output type
# 'make cleanall'
#
include make.inc

all: lapacke lapacke_testing

lapacke:
	cd src && $(MAKE)
	cd utils && $(MAKE)

lapacke_testing:
	cd testing && $(MAKE)

clean: cleanlib cleantesting

cleanlib:
	cd src && $(MAKE) clean
	cd utils && $(MAKE) clean

cleantesting:
	cd testing && $(MAKE) clean

cleanall: clean
	rm -f $(LAPACKE)
	rm -f testing/interface/*.out

=== src/CMakeLists.txt ===
if (NOT DEFINED BUILD_SHARED_LIBS)
  set(BUILD_SHARED_LIBS ON)
endif (NOT DEFINED BUILD_SHARED_LIBS)

file(GLOB libswiftnav_HEADERS "${PROJECT_SOURCE_DIR}/include/libswiftnav/*.h")

include_directories("${PROJECT_SOURCE_DIR}/CBLAS/include")
include_directories("${PROJECT_SOURCE_DIR}/clapack-3.2.1-CMAKE/INCLUDE")
include_directories("${PROJECT_SOURCE_DIR}/lapacke/include")

include_directories("${PROJECT_SOURCE_DIR}/include/libswiftnav")

set(libswiftnav_SRCS
  ephemeris.c
  nav_msg.c
  pvt.c
  tropo.c
  track.c
  correlate.c
  coord_system.c
  linear_algebra.c
  prns.c
  almanac.c
  gpstime.c
  edc.c
  rtcm3.c
  bits.c
  sbp.c
  lambda.c
  amb_kf.c
  stupid_filter.c
  sbp_utils.c
  single_diff.c
  memory_pool.c
  dgnss_management.c
  sats_management.c
  ambiguity_test.c
)

add_library(swiftnav-static STATIC ${libswiftnav_SRCS})
target_link_libraries(swiftnav-static cblas)
target_link_libraries(swiftnav-static lapacke)
install(TARGETS swiftnav-static DESTINATION lib${LIB_SUFFIX})

if(BUILD_SHARED_LIBS)
  add_library(swiftnav SHARED ${libswiftnav_SRCS})
  target_link_libraries(swiftnav cblas)
  target_link_libraries(swiftnav lapacke)
  install(TARGETS swiftnav DESTINATION lib${LIB_SUFFIX})
else(BUILD_SHARED_LIBS)
  message(STATUS "Not building shared libraries")
endif(BUILD_SHARED_LIBS)

install(FILES ${libswiftnav_HEADERS} DESTINATION include/libswiftnav)

=== tests/CMakeLists.txt ===
if (CMAKE_CROSSCOMPILING)
  message(STATUS "Skipping unit tests, cross compiling")
else (CMAKE_CROSSCOMPILING)

  find_package(Check)
  if (NOT CHECK_FOUND)
    message(STATUS "Skipping unit tests, Check library not found!")
  else (NOT CHECK_FOUND)

    include_directories("${PROJECT_SOURCE_DIR}/CBLAS/include")
    include_directories("${PROJECT_SOURCE_DIR}/clapack-3.2.1-CMAKE/INCLUDE")
    include_directories("${PROJECT_SOURCE_DIR}/lapacke/include")

    include_directories(${CHECK_INCLUDE_DIRS})
    set(TEST_LIBS ${TEST_LIBS} ${CHECK_LIBRARIES} pthread swiftnav lapacke cblas m)

    # Check needs to be linked against Librt on Linux
    if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
      set(TEST_LIBS ${TEST_LIBS} rt)
    endif(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

    include_directories("${PROJECT_SOURCE_DIR}/include/libswiftnav")

    add_executable(test_libswiftnav
      check_main.c
      check_utils.c

      check_dgnss_management.c
      check_amb_kf.c
      check_single_diff.c
      check_edc.c
      check_bits.c
      check_memory_pool.c
      check_sbp.c
      check_rtcm3.c
      check_coord_system.c
      check_linear_algebra.c
      check_ambiguity_test.c
    )

    target_link_libraries(test_libswiftnav ${TEST_LIBS})
    add_custom_command(
      TARGET test_libswiftnav POST_BUILD
      COMMENT "Running unit tests"
      COMMAND test_libswiftnav
    )

  endif (NOT CHECK_FOUND)
endif (CMAKE_CROSSCOMPILING)

=== CBLAS/src/CMakeLists.txt ===
set(ALLBLAS cblas_globals.c cblas_xerbla.c xerbla.c)

#
#
# CBLAS routines
#
# Level 1
#
#

#
# All source files for single real precision
#
set(SLEV1 cblas_srotg.c cblas_srotmg.c cblas_srot.c cblas_srotm.c
          cblas_sswap.c cblas_sscal.c  cblas_scopy.c cblas_saxpy.c
          cblas_sdot.c  cblas_sdsdot.c cblas_snrm2.c cblas_sasum.c)

#
# All source files for double real precision
#
set(DLEV1 cblas_drotg.c cblas_drotmg.c cblas_drot.c cblas_drotm.c
          cblas_dswap.c cblas_dscal.c  cblas_dcopy.c cblas_daxpy.c
          cblas_ddot.c  cblas_dsdot.c cblas_dnrm2.c cblas_dasum.c
          cblas_idamax.c)

#
# All source files for single complex precision
#
set(CLEV1 cblas_cswap.c cblas_cscal.c cblas_csscal.c cblas_ccopy.c
          cblas_caxpy.c cblas_cdotu_sub.c cblas_cdotc_sub.c
          cblas_icamax.c)

#
# All source files for double complex precision
#
set(ZLEV1 cblas_zswap.c cblas_zscal.c cblas_zdscal.c cblas_zcopy.c
          cblas_zaxpy.c cblas_zdotu_sub.c cblas_zdotc_sub.c cblas_dznrm2.c
          cblas_dzasum.c cblas_izamax.c)

#
# Common files for single / complex precision
#
set(SCLEV1 cblas_scasum.c cblas_scnrm2.c)

#
# All source files
#
set(ALEV1 ${SLEV1} ${DLEV1} ${CLEV1} ${ZLEV1} ${SCLEV1})

#
#
# CBLAS routines
#
# Level 2
#
#

#
# All source files for single real precision
#
set(SLEV2 cblas_sgemv.c cblas_sgbmv.c cblas_sger.c cblas_ssbmv.c  cblas_sspmv.c
          cblas_sspr.c  cblas_sspr2.c cblas_ssymv.c cblas_ssyr.c  cblas_ssyr2.c
          cblas_stbmv.c cblas_stbsv.c cblas_stpmv.c cblas_stpsv.c  cblas_strmv.c
          cblas_strsv.c)

#
# All source files for double real precision
#
set(DLEV2 cblas_dgemv.c cblas_dgbmv.c cblas_dger.c cblas_dsbmv.c  cblas_dspmv.c
          cblas_dspr.c  cblas_dspr2.c cblas_dsymv.c cblas_dsyr.c  cblas_dsyr2.c
          cblas_dtbmv.c cblas_dtbsv.c cblas_dtpmv.c cblas_dtpsv.c  cblas_dtrmv.c
          cblas_dtrsv.c)

#
# All source files for single complex precision
#
set(CLEV2 cblas_cgemv.c cblas_cgbmv.c cblas_chemv.c cblas_chbmv.c cblas_chpmv.c
          cblas_ctrmv.c cblas_ctbmv.c cblas_ctpmv.c cblas_ctrsv.c cblas_ctbsv.c
          cblas_ctpsv.c cblas_cgeru.c cblas_cgerc.c cblas_cher.c  cblas_cher2.c
          cblas_chpr.c  cblas_chpr2.c)

#
# All source files for double complex precision
#
set(ZLEV2 cblas_zgemv.c cblas_zgbmv.c cblas_zhemv.c cblas_zhbmv.c cblas_zhpmv.c
          cblas_ztrmv.c cblas_ztbmv.c cblas_ztpmv.c cblas_ztrsv.c cblas_ztbsv.c
          cblas_ztpsv.c cblas_zgeru.c cblas_zgerc.c cblas_zher.c  cblas_zher2.c
          cblas_zhpr.c  cblas_zhpr2.c)

#
# All source files
#
set(ALEV2 ${SLEV2} ${DLEV2} ${CLEV2} ${ZLEV2})

#
#
# CBLAS routines
#
# Level 3
#
#

#
# All source files for single real precision
#
set(SLEV3 cblas_sgemm.c cblas_ssymm.c cblas_ssyrk.c cblas_ssyr2k.c cblas_strmm.c
          cblas_strsm.c)

#
# All source files for double real precision
#
set(DLEV3 cblas_dgemm.c cblas_dsymm.c cblas_dsyrk.c cblas_dsyr2k.c cblas_dtrmm.c
          cblas_dtrsm.c)

#
# All source files for single complex precision
#
set(CLEV3 cblas_cgemm.c cblas_csymm.c cblas_chemm.c cblas_cherk.c
          cblas_cher2k.c cblas_ctrmm.c cblas_ctrsm.c  cblas_csyrk.c
          cblas_csyr2k.c)

#
# All source files for double complex precision
#
set(ZLEV3 cblas_zgemm.c cblas_zsymm.c cblas_zhemm.c cblas_zherk.c
          cblas_zher2k.c cblas_ztrmm.c cblas_ztrsm.c  cblas_zsyrk.c
          cblas_zsyr2k.c)

#
# All source files
#
set(ALEV3 ${SLEV3} ${DLEV3} ${CLEV3} ${ZLEV3})

set(ALLOBJ ${ALEV1} ${ALEV2} ${ALEV3} ${ALLBLAS})

#add_library(cblas ${ALLOBJ})
add_library(cblas ${SLEV1} ${DLEV1} ${SLEV2} ${DLEV2} ${SLEV3} ${DLEV3} ${ALLBLAS})
target_link_libraries(cblas blas)
set_target_properties(cblas PROPERTIES COMPILE_FLAGS ${CBLAS_FAIL_FLAGS})

=== clapack-3.2.1-CMAKE/BLAS/CMakeLists.txt ===
add_subdirectory(SRC)
#if (NOT CMAKE_CROSSCOMPILING)
  #add_subdirectory(TESTING)
#endif ()

=== clapack-3.2.1-CMAKE/SRC/CMakeLists.txt ===
#######################################################################
#  This is the makefile to create a library for LAPACK.
#  The files are organized as follows:
#       ALLAUX -- Auxiliary routines called from all precisions
#       ALLXAUX -- Auxiliary routines called from all precisions but
#                  only from routines using extra precision.
#       SCLAUX -- Auxiliary routines called from both REAL and COMPLEX
#       DZLAUX -- Auxiliary routines called from both DOUBLE PRECISION
#                 and COMPLEX*16
#       SLASRC -- Single precision real LAPACK routines
#       SXLASRC -- Single precision real LAPACK routines using extra
#                  precision.
#       CLASRC -- Single precision complex LAPACK routines
#       CXLASRC -- Single precision complex LAPACK routines using extra
#                  precision.
#       DLASRC -- Double precision real LAPACK routines
#       DXLASRC -- Double precision real LAPACK routines using extra
#                  precision.
#       ZLASRC -- Double precision complex LAPACK routines
#       ZXLASRC -- Double precision complex LAPACK routines using extra
#                  precision.
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       lapack.a
#  and is created at the next higher directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#  ***Note***
#  The functions lsame, second, dsecnd, slamch, and dlamch may have
#  to be installed before compiling the library.  Refer to the
#  installation guide, LAPACK Working Note 41, for instructions.
#
#######################################################################

set(ALLAUX  maxloc.c ilaenv.c ieeeck.c lsamen.c  iparmq.c	
    ilaprec.c ilatrans.c ilauplo.c iladiag.c chla_transtype.c 
    ../INSTALL/ilaver.c ../INSTALL/lsame.c) # xerbla.c xerbla_array.c

set(ALLXAUX )

set(SCLAUX  
   sbdsdc.c 
   sbdsqr.c sdisna.c slabad.c slacpy.c sladiv.c slae2.c  slaebz.c 
   slaed0.c slaed1.c slaed2.c slaed3.c slaed4.c slaed5.c slaed6.c 
   slaed7.c slaed8.c slaed9.c slaeda.c slaev2.c slagtf.c 
   slagts.c slamrg.c slanst.c 
   slapy2.c slapy3.c slarnv.c 
   slarra.c slarrb.c slarrc.c slarrd.c slarre.c slarrf.c slarrj.c 
   slarrk.c slarrr.c slaneg.c 
   slartg.c slaruv.c slas2.c  slascl.c 
   slasd0.c slasd1.c slasd2.c slasd3.c slasd4.c slasd5.c slasd6.c 
   slasd7.c slasd8.c slasda.c slasdq.c slasdt.c 
   slaset.c slasq1.c slasq2.c slasq3.c slasq4.c slasq5.c slasq6.c 
   slasr.c  slasrt.c slassq.c slasv2.c spttrf.c sstebz.c sstedc.c 
   ssteqr.c ssterf.c slaisnan.c sisnan.c 
   ../INSTALL/slamch.c ${SECOND_SRC})

set(DZLAUX  
   dbdsdc.c 
   dbdsqr.c ddisna.c dlabad.c dlacpy.c dladiv.c dlae2.c  dlaebz.c 
   dlaed0.c dlaed1.c dlaed2.c dlaed3.c dlaed4.c dlaed5.c dlaed6.c 
   dlaed7.c dlaed8.c dlaed9.c dlaeda.c dlaev2.c dlagtf.c 
   dlagts.c dlamrg.c dlanst.c 
   dlapy2.c dlapy3.c dlarnv.c 
   dlarra.c dlarrb.c dlarrc.c dlarrd.c dlarre.c dlarrf.c dlarrj.c 
   dlarrk.c dlarrr.c dlaneg.c 
   dlartg.c dlaruv.c dlas2.c  dlascl.c 
   dlasd0.c dlasd1.c dlasd2.c dlasd3.c dlasd4.c dlasd5.c dlasd6.c 
   dlasd7.c dlasd8.c dlasda.c dlasdq.c dlasdt.c 
   dlaset.c dlasq1.c dlasq2.c dlasq3.c dlasq4.c dlasq5.c dlasq6.c 
   dlasr.c  dlasrt.c dlassq.c dlasv2.c dpttrf.c dstebz.c dstedc.c 
   dsteqr.c dsterf.c dlaisnan.c disnan.c 
   ../INSTALL/dlamch.c ${DSECOND_SRC})

set(SLASRC  
   sgbbrd.c sgbcon.c sgbequ.c sgbrfs.c sgbsv.c  
   sgbsvx.c sgbtf2.c sgbtrf.c sgbtrs.c sgebak.c sgebal.c sgebd2.c 
   sgebrd.c sgecon.c sgeequ.c sgees.c  sgeesx.c sgeev.c  sgeevx.c 
   sgegs.c  sgegv.c  sgehd2.c sgehrd.c sgelq2.c sgelqf.c 
   sgels.c  sgelsd.c sgelss.c sgelsx.c sgelsy.c sgeql2.c sgeqlf.c 
   sgeqp3.c sgeqpf.c sgeqr2.c sgeqrf.c sgerfs.c sgerq2.c sgerqf.c 
   sgesc2.c sgesdd.c sgesv.c  sgesvd.c sgesvx.c sgetc2.c sgetf2.c 
   sgetrf.c sgetri.c 
   sgetrs.c sggbak.c sggbal.c sgges.c  sggesx.c sggev.c  sggevx.c 
   sggglm.c sgghrd.c sgglse.c sggqrf.c 
   sggrqf.c sggsvd.c sggsvp.c sgtcon.c sgtrfs.c sgtsv.c  
   sgtsvx.c sgttrf.c sgttrs.c sgtts2.c shgeqz.c 
   shsein.c shseqr.c slabrd.c slacon.c slacn2.c 
   slaein.c slaexc.c slag2.c  slags2.c slagtm.c slagv2.c slahqr.c 
   slahrd.c slahr2.c slaic1.c slaln2.c slals0.c slalsa.c slalsd.c 
   slangb.c slange.c slangt.c slanhs.c slansb.c slansp.c 
   slansy.c slantb.c slantp.c slantr.c slanv2.c 
   slapll.c slapmt.c 
   slaqgb.c slaqge.c slaqp2.c slaqps.c slaqsb.c slaqsp.c slaqsy.c 
   slaqr0.c slaqr1.c slaqr2.c slaqr3.c slaqr4.c slaqr5.c 
   slaqtr.c slar1v.c slar2v.c ilaslr.c ilaslc.c 
   slarf.c  slarfb.c slarfg.c slarft.c slarfx.c slargv.c 
   slarrv.c slartv.c slarfp.c 
   slarz.c  slarzb.c slarzt.c slaswp.c slasy2.c slasyf.c 
   slatbs.c slatdf.c slatps.c slatrd.c slatrs.c slatrz.c slatzm.c 
   slauu2.c slauum.c sopgtr.c sopmtr.c sorg2l.c sorg2r.c 
   sorgbr.c sorghr.c sorgl2.c sorglq.c sorgql.c sorgqr.c sorgr2.c 
   sorgrq.c sorgtr.c sorm2l.c sorm2r.c 
   sormbr.c sormhr.c sorml2.c sormlq.c sormql.c sormqr.c sormr2.c 
   sormr3.c sormrq.c sormrz.c sormtr.c spbcon.c spbequ.c spbrfs.c 
   spbstf.c spbsv.c  spbsvx.c 
   spbtf2.c spbtrf.c spbtrs.c spocon.c spoequ.c sporfs.c sposv.c  
   sposvx.c spotf2.c spotrf.c spotri.c spotrs.c spstrf.c spstf2.c 
   sppcon.c sppequ.c 
   spprfs.c sppsv.c  sppsvx.c spptrf.c spptri.c spptrs.c sptcon.c 
   spteqr.c sptrfs.c sptsv.c  sptsvx.c spttrs.c sptts2.c srscl.c  
   ssbev.c  ssbevd.c ssbevx.c ssbgst.c ssbgv.c  ssbgvd.c ssbgvx.c 
   ssbtrd.c sspcon.c sspev.c  sspevd.c sspevx.c sspgst.c 
   sspgv.c  sspgvd.c sspgvx.c ssprfs.c sspsv.c  sspsvx.c ssptrd.c 
   ssptrf.c ssptri.c ssptrs.c sstegr.c sstein.c sstev.c  sstevd.c sstevr.c 
   sstevx.c ssycon.c ssyev.c  ssyevd.c ssyevr.c ssyevx.c ssygs2.c 
   ssygst.c ssygv.c  ssygvd.c ssygvx.c ssyrfs.c ssysv.c  ssysvx.c 
   ssytd2.c ssytf2.c ssytrd.c ssytrf.c ssytri.c ssytrs.c stbcon.c 
   stbrfs.c stbtrs.c stgevc.c stgex2.c stgexc.c stgsen.c 
   stgsja.c stgsna.c stgsy2.c stgsyl.c stpcon.c stprfs.c stptri.c 
   stptrs.c 
   strcon.c strevc.c strexc.c strrfs.c strsen.c strsna.c strsyl.c 
   strti2.c strtri.c strtrs.c stzrqf.c stzrzf.c sstemr.c 
   slansf.c spftrf.c spftri.c spftrs.c ssfrk.c stfsm.c stftri.c stfttp.c 
   stfttr.c stpttf.c stpttr.c strttf.c strttp.c 
   sgejsv.c  sgesvj.c  sgsvj0.c  sgsvj1.c 
   sgeequb.c ssyequb.c spoequb.c sgbequb.c)

set(SXLASRC  sgesvxx.c sgerfsx.c sla_gerfsx_extended.c sla_geamv.c		
   sla_gercond.c sla_rpvgrw.c ssysvxx.c ssyrfsx.c			
   sla_syrfsx_extended.c sla_syamv.c sla_syrcond.c sla_syrpvgrw.c	
   sposvxx.c sporfsx.c sla_porfsx_extended.c sla_porcond.c		
   sla_porpvgrw.c sgbsvxx.c sgbrfsx.c sla_gbrfsx_extended.c		
   sla_gbamv.c sla_gbrcond.c sla_gbrpvgrw.c sla_lin_berr.c slarscl2.c	
   slascl2.c sla_wwaddw.c)

set(CLASRC 
   cbdsqr.c cgbbrd.c cgbcon.c cgbequ.c cgbrfs.c cgbsv.c  cgbsvx.c 
   cgbtf2.c cgbtrf.c cgbtrs.c cgebak.c cgebal.c cgebd2.c cgebrd.c 
   cgecon.c cgeequ.c cgees.c  cgeesx.c cgeev.c  cgeevx.c 
   cgegs.c  cgegv.c  cgehd2.c cgehrd.c cgelq2.c cgelqf.c 
   cgels.c  cgelsd.c cgelss.c cgelsx.c cgelsy.c cgeql2.c cgeqlf.c cgeqp3.c 
   cgeqpf.c cgeqr2.c cgeqrf.c cgerfs.c cgerq2.c cgerqf.c 
   cgesc2.c cgesdd.c cgesv.c  cgesvd.c cgesvx.c cgetc2.c cgetf2.c cgetrf.c 
   cgetri.c cgetrs.c 
   cggbak.c cggbal.c cgges.c  cggesx.c cggev.c  cggevx.c cggglm.c 
   cgghrd.c cgglse.c cggqrf.c cggrqf.c 
   cggsvd.c cggsvp.c 
   cgtcon.c cgtrfs.c cgtsv.c  cgtsvx.c cgttrf.c cgttrs.c cgtts2.c chbev.c  
   chbevd.c chbevx.c chbgst.c chbgv.c  chbgvd.c chbgvx.c chbtrd.c 
   checon.c cheev.c  cheevd.c cheevr.c cheevx.c chegs2.c chegst.c 
   chegv.c  chegvd.c chegvx.c cherfs.c chesv.c  chesvx.c chetd2.c 
   chetf2.c chetrd.c 
   chetrf.c chetri.c chetrs.c chgeqz.c chpcon.c chpev.c  chpevd.c 
   chpevx.c chpgst.c chpgv.c  chpgvd.c chpgvx.c chprfs.c chpsv.c  
   chpsvx.c 
   chptrd.c chptrf.c chptri.c chptrs.c chsein.c chseqr.c clabrd.c 
   clacgv.c clacon.c clacn2.c clacp2.c clacpy.c clacrm.c clacrt.c cladiv.c 
   claed0.c claed7.c claed8.c 
   claein.c claesy.c claev2.c clags2.c clagtm.c 
   clahef.c clahqr.c 
   clahrd.c clahr2.c claic1.c clals0.c clalsa.c clalsd.c clangb.c clange.c clangt.c 
   clanhb.c clanhe.c 
   clanhp.c clanhs.c clanht.c clansb.c clansp.c clansy.c clantb.c 
   clantp.c clantr.c clapll.c clapmt.c clarcm.c claqgb.c claqge.c 
   claqhb.c claqhe.c claqhp.c claqp2.c claqps.c claqsb.c 
   claqr0.c claqr1.c claqr2.c claqr3.c claqr4.c claqr5.c 
   claqsp.c claqsy.c clar1v.c clar2v.c ilaclr.c ilaclc.c 
   clarf.c  clarfb.c clarfg.c clarft.c clarfp.c 
   clarfx.c clargv.c clarnv.c clarrv.c clartg.c clartv.c 
   clarz.c  clarzb.c clarzt.c clascl.c claset.c clasr.c  classq.c 
   claswp.c clasyf.c clatbs.c clatdf.c clatps.c clatrd.c clatrs.c clatrz.c 
   clatzm.c clauu2.c clauum.c cpbcon.c cpbequ.c cpbrfs.c cpbstf.c cpbsv.c  
   cpbsvx.c cpbtf2.c cpbtrf.c cpbtrs.c cpocon.c cpoequ.c cporfs.c 
   cposv.c  cposvx.c cpotf2.c cpotrf.c cpotri.c cpotrs.c cpstrf.c cpstf2.c 
   cppcon.c cppequ.c cpprfs.c cppsv.c  cppsvx.c cpptrf.c cpptri.c cpptrs.c 
   cptcon.c cpteqr.c cptrfs.c cptsv.c  cptsvx.c cpttrf.c cpttrs.c cptts2.c 
   crot.c   cspcon.c cspmv.c  cspr.c   csprfs.c cspsv.c  
   cspsvx.c csptrf.c csptri.c csptrs.c csrscl.c cstedc.c 
   cstegr.c cstein.c csteqr.c csycon.c csymv.c  
   csyr.c   csyrfs.c csysv.c  csysvx.c csytf2.c csytrf.c csytri.c 
   csytrs.c ctbcon.c ctbrfs.c ctbtrs.c ctgevc.c ctgex2.c 
   ctgexc.c ctgsen.c ctgsja.c ctgsna.c ctgsy2.c ctgsyl.c ctpcon.c 
   ctprfs.c ctptri.c 
   ctptrs.c ctrcon.c ctrevc.c ctrexc.c ctrrfs.c ctrsen.c ctrsna.c 
   ctrsyl.c ctrti2.c ctrtri.c ctrtrs.c ctzrqf.c ctzrzf.c cung2l.c cung2r.c 
   cungbr.c cunghr.c cungl2.c cunglq.c cungql.c cungqr.c cungr2.c 
   cungrq.c cungtr.c cunm2l.c cunm2r.c cunmbr.c cunmhr.c cunml2.c 
   cunmlq.c cunmql.c cunmqr.c cunmr2.c cunmr3.c cunmrq.c cunmrz.c 
   cunmtr.c cupgtr.c cupmtr.c icmax1.c scsum1.c cstemr.c 
   chfrk.c ctfttp.c clanhf.c cpftrf.c cpftri.c cpftrs.c ctfsm.c ctftri.c 
   ctfttr.c ctpttf.c ctpttr.c ctrttf.c ctrttp.c 
   cgeequb.c cgbequb.c csyequb.c cpoequb.c cheequb.c)

set(CXLASRC     cgesvxx.c cgerfsx.c cla_gerfsx_extended.c cla_geamv.c 
   cla_gercond_c.c cla_gercond_x.c cla_rpvgrw.c 
   csysvxx.c csyrfsx.c cla_syrfsx_extended.c cla_syamv.c 
   cla_syrcond_c.c cla_syrcond_x.c cla_syrpvgrw.c 
   cposvxx.c cporfsx.c cla_porfsx_extended.c 
   cla_porcond_c.c cla_porcond_x.c cla_porpvgrw.c 
   cgbsvxx.c cgbrfsx.c cla_gbrfsx_extended.c cla_gbamv.c 
   cla_gbrcond_c.c cla_gbrcond_x.c cla_gbrpvgrw.c 
   chesvxx.c cherfsx.c cla_herfsx_extended.c cla_heamv.c 
   cla_hercond_c.c cla_hercond_x.c cla_herpvgrw.c 
   cla_lin_berr.c clarscl2.c clascl2.c cla_wwaddw.c)

set(DLASRC 
   dgbbrd.c dgbcon.c dgbequ.c dgbrfs.c dgbsv.c  
   dgbsvx.c dgbtf2.c dgbtrf.c dgbtrs.c dgebak.c dgebal.c dgebd2.c 
   dgebrd.c dgecon.c dgeequ.c dgees.c  dgeesx.c dgeev.c  dgeevx.c 
   dgegs.c  dgegv.c  dgehd2.c dgehrd.c dgelq2.c dgelqf.c 
   dgels.c  dgelsd.c dgelss.c dgelsx.c dgelsy.c dgeql2.c dgeqlf.c 
   dgeqp3.c dgeqpf.c dgeqr2.c dgeqrf.c dgerfs.c dgerq2.c dgerqf.c 
   dgesc2.c dgesdd.c dgesv.c  dgesvd.c dgesvx.c dgetc2.c dgetf2.c 
   dgetrf.c dgetri.c 
   dgetrs.c dggbak.c dggbal.c dgges.c  dggesx.c dggev.c  dggevx.c 
   dggglm.c dgghrd.c dgglse.c dggqrf.c 
   dggrqf.c dggsvd.c dggsvp.c dgtcon.c dgtrfs.c dgtsv.c  
   dgtsvx.c dgttrf.c dgttrs.c dgtts2.c dhgeqz.c 
   dhsein.c dhseqr.c dlabrd.c dlacon.c dlacn2.c 
   dlaein.c dlaexc.c dlag2.c  dlags2.c dlagtm.c dlagv2.c dlahqr.c

=== clapack-3.2.1-CMAKE/TESTING/CMakeLists.txt ===
if(MSVC_VERSION)
#  string(REPLACE "/STACK:10000000" "/STACK:900000000000000000"
#    CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS}")
  string(REGEX REPLACE "(.*)/STACK:(.*) (.*)" "\\1/STACK:900000000000000000 \\3"
    CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS}")
endif()
add_subdirectory(MATGEN)
add_subdirectory(LIN)
add_subdirectory(EIG)
macro(add_lapack_test output input target)
  set(TEST_INPUT "${CLAPACK_SOURCE_DIR}/TESTING/${input}")
  set(TEST_OUTPUT "${CLAPACK_BINARY_DIR}/TESTING/${output}")
  set_target_properties(${target} PROPERTIES COMPILE_FLAGS ${F2C_FAIL_FLAGS})
  get_target_property(TEST_LOC ${target} LOCATION)
  string(REPLACE "." "_" input_name ${input})
  set(testName "${target}_${input_name}")
  if(EXISTS "${TEST_INPUT}")
    add_test(${testName} "${CMAKE_COMMAND}"
      -DTEST=${TEST_LOC}
      -DINPUT=${TEST_INPUT} 
      -DOUTPUT=${TEST_OUTPUT} 
      -DINTDIR=${CMAKE_CFG_INTDIR}
      -P "${CLAPACK_SOURCE_DIR}/TESTING/runtest.cmake")
  endif()
endmacro(add_lapack_test)

add_lapack_test(stest.out stest.in xlintsts)

add_lapack_test(ctest.out ctest.in xlintstc)
#
# ======== DOUBLE LIN TESTS ===========================

add_lapack_test(dtest.out dtest.in xlintstd)

#
# ======== COMPLEX16 LIN TESTS ========================

add_lapack_test(ztest.out ztest.in xlintstz)

#
# ======== SINGLE-DOUBLE PROTO LIN TESTS ==============

add_lapack_test(dstest.out dstest.in xlintstds)

#
# ======== COMPLEX-COMPLEX16 LIN TESTS ========================

add_lapack_test(zctest.out zctest.in xlintstzc)

#
# ======== SINGLE RFP LIN TESTS ========================

add_lapack_test(stest_rfp.out stest_rfp.in xlintstrfs)

#
# ======== COMPLEX16 RFP LIN TESTS ========================

add_lapack_test(dtest_rfp.out dtest_rfp.in xlintstrfd)

#
# ======== COMPLEX16 RFP LIN TESTS ========================

add_lapack_test(ctest_rfp.out ctest_rfp.in xlintstrfc)

#
# ======== COMPLEX16 RFP LIN TESTS ========================

add_lapack_test(ztest_rfp.out ztest_rfp.in xlintstrfz)

#
#
# ======== SINGLE EIG TESTS ===========================
#

add_lapack_test(snep.out nep.in xeigtsts)


add_lapack_test(ssep.out sep.in xeigtsts)


add_lapack_test(ssvd.out svd.in xeigtsts)


add_lapack_test(sec.out sec.in xeigtsts)


add_lapack_test(sed.out sed.in xeigtsts)


add_lapack_test(sgg.out sgg.in xeigtsts)


add_lapack_test(sgd.out sgd.in xeigtsts)


add_lapack_test(ssb.out ssb.in xeigtsts)


add_lapack_test(ssg.out ssg.in xeigtsts)


add_lapack_test(sbal.out sbal.in xeigtsts)


add_lapack_test(sbak.out sbak.in xeigtsts)


add_lapack_test(sgbal.out sgbal.in xeigtsts)


add_lapack_test(sgbak.out sgbak.in xeigtsts)


add_lapack_test(sbb.out sbb.in xeigtsts)


add_lapack_test(sglm.out glm.in xeigtsts)


add_lapack_test(sgqr.out gqr.in xeigtsts)


add_lapack_test(sgsv.out gsv.in xeigtsts)


add_lapack_test(slse.out lse.in xeigtsts)

#
# ======== COMPLEX EIG TESTS ===========================

add_lapack_test(cnep.out nep.in xeigtstc)


add_lapack_test(csep.out sep.in xeigtstc)


add_lapack_test(csvd.out svd.in xeigtstc)


add_lapack_test(cec.out cec.in xeigtstc)


add_lapack_test(ced.out ced.in xeigtstc)


add_lapack_test(cgg.out cgg.in xeigtstc)


add_lapack_test(cgd.out cgd.in xeigtstc)


add_lapack_test(csb.out csb.in xeigtstc)


add_lapack_test(csg.out csg.in xeigtstc)


add_lapack_test(cbal.out cbal.in xeigtstc)


add_lapack_test(cbak.out cbak.in xeigtstc)


add_lapack_test(cgbal.out cgbal.in xeigtstc)


add_lapack_test(cgbak.out cgbak.in xeigtstc)


add_lapack_test(cbb.out cbb.in xeigtstc)


add_lapack_test(cglm.out glm.in xeigtstc)


add_lapack_test(cgqr.out gqr.in xeigtstc)


add_lapack_test(cgsv.out gsv.in xeigtstc)


add_lapack_test(clse.out lse.in xeigtstc)

#
# ======== DOUBLE EIG TESTS ===========================

add_lapack_test(dnep.out nep.in xeigtstd)


add_lapack_test(dsep.out sep.in xeigtstd)


add_lapack_test(dsvd.out svd.in xeigtstd)


add_lapack_test(dec.out dec.in xeigtstd)


add_lapack_test(ded.out ded.in xeigtstd)


add_lapack_test(dgg.out dgg.in xeigtstd)


add_lapack_test(dgd.out dgd.in xeigtstd)


add_lapack_test(dsb.out dsb.in xeigtstd)


add_lapack_test(dsg.out dsg.in xeigtstd)


add_lapack_test(dbal.out dbal.in xeigtstd)


add_lapack_test(dbak.out dbak.in xeigtstd)


add_lapack_test(dgbal.out dgbal.in xeigtstd)


add_lapack_test(dgbak.out dgbak.in xeigtstd)


add_lapack_test(dbb.out dbb.in xeigtstd)


add_lapack_test(dglm.out glm.in xeigtstd)


add_lapack_test(dgqr.out gqr.in xeigtstd)


add_lapack_test(dgsv.out gsv.in xeigtstd)


add_lapack_test(dlse.out lse.in xeigtstd)

#
# ======== COMPLEX16 EIG TESTS ===========================

add_lapack_test(znep.out nep.in xeigtstz)


add_lapack_test(zsep.out sep.in xeigtstz)


add_lapack_test(zsvd.out svd.in xeigtstz)


add_lapack_test(zec.out zec.in xeigtstz)


add_lapack_test(zed.out zed.in xeigtstz)


add_lapack_test(zgg.out zgg.in xeigtstz)


add_lapack_test(zgd.out zgd.in xeigtstz)


add_lapack_test(zsb.out zsb.in xeigtstz)


add_lapack_test(zsg.out zsg.in xeigtstz)


add_lapack_test(zbal.out zbal.in xeigtstz)


add_lapack_test(zbak.out zbak.in xeigtstz)


add_lapack_test(zgbal.out zgbal.in xeigtstz)


add_lapack_test(zgbak.out zgbak.in xeigtstz)


add_lapack_test(zbb.out zbb.in xeigtstz)


add_lapack_test(zglm.out glm.in xeigtstz)


add_lapack_test(zgqr.out gqr.in xeigtstz)


add_lapack_test(zgsv.out gsv.in xeigtstz)


add_lapack_test(zlse.out lse.in xeigtstz)

# ==============================================================================

=== debian/changelog ===
ros-indigo-swiftnav (0.13.0-3trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Dec 2014 13:22:43 -0000

=== debian/control ===
Source: ros-indigo-swiftnav
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), cmake
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-swiftnav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-catkin
Description: ROS release of swiftnav library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swiftnav//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
